<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>

<meta charset="utf-8" />
<title>Mostra registro professore</title>
</head>
<body>
<div align="center" th:if="${errorMessageRegisterAlreadyExists}">
    <div th:text="${errorMessageRegisterAlreadyExists}"></div>
</div>
  <div align="center">
  <h1>Mostra registro materia</h1>
  
  <div sec:authorize="hasAuthority('Professore')">
  
    <form action="#" th:action="@{/mostraRegistroProfessore}" th:object="${materia}"  method="post">

    <div  class="col-md-4">
    <hr>
		<table th:object="${classe_scelta}">
            <tr>
                <b>Seleziona una classe</b>
                <td class="form-group">
                    <select class="form-control" th:field="*{idClasse}">
                         <option value=""> -- </option>
                         <option th:each="classe : ${classi}"
                            th:value="${classe.idClasse}"
                            th:utext="${classe.nomeClasse}"/>
                  </select>
 
                </td>
            </tr>
        </table>
        </div>
        <div  class="col-md-4">
        <table th:object="${materia_scelta}">
            <tr>
                <b>Seleziona una materia</b>
                <td class="form-group">
                    <select class="form-control" th:field="*{idMateria}">
                         <option value=""> -- </option>
                         <option th:each="materia : ${materie}"
                            th:value="${materia.idMateria}"
                            th:utext="${materia.nomeMateria}"/>
                  </select>
 
                </td>
            </tr>
            
        </table>
	    </div>
	    </div>
	    
	    <p><input class="btn btn-primary" type="submit" value="Aggiungi" /></p>
        
    </form>
  
    <div th:each="verifica: *{verifiche}">
    		<text th:text="${verifica.getArgomento()}">Nome</text>
		</div>
	</div>
	
	<div sec:authorize="hasAuthority('Studente')">
	 <form action="#" th:action="@{/mostraRegistroProfessore}" th:object="${materia}"  method="post">
        <div class="form-group">
    <div  class="col-md-4">
    <hr>
        <table th:object="${materia_scelta}">
            <tr>
                <b>Seleziona una materia</b>
                <td>
                    <select class="form-control" th:field="*{idMateria}">
                         <option value=""> -- </option>
                         <option th:each="materia : ${materie}"
                            th:value="${materia.idMateria}"
                            th:utext="${materia.nomeMateria}"/>
                  </select>
 
                </td>
            </tr>
            
        </table>
        </div>
        </div>
	    
	    
	    <p><input type="submit" value="Scegli" /></p>
        
    </form>
    <p>Argomento verifica</p>
	<div th:each="verifica: *{verifiche}">
    		<text th:text="${verifica.getArgomento()}">Nome</text>
    		
		</div>
	</div>
	</div>
	
    
</body>
</html>